org.richfaces.fragment.common

## Enum ClearType

- java.lang.Object
- - java.lang.Enum<ClearType>
  - - org.richfaces.fragment.common.ClearType

- All Implemented Interfaces:
    Serializable, Comparable<ClearType>

      public enum ClearType
      extends Enum<ClearType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BACKSPACE`
    `DELETE`
    `ESCAPE_SQ`
    `JS`
    `WD`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ClearType` | `DEFAULT_CLEAR_TYPE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ClearType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ClearType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BACKSPACE

          public static final ClearType BACKSPACE

    - #### DELETE

          public static final ClearType DELETE

    - #### ESCAPE_SQ

          public static final ClearType ESCAPE_SQ

    - #### WD

          public static final ClearType WD

    - #### JS

          public static final ClearType JS

  - ### Field Detail

    - #### DEFAULT_CLEAR_TYPE

          public static final ClearType DEFAULT_CLEAR_TYPE

  - ### Method Detail

    - #### values

          public static ClearType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ClearType c : ClearType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ClearType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.